# Class: YARD::Parser::Ruby::Legacy::RubyToken::TkStatementEnd

Inherits:
  Token
  - Object
  - Token
  - YARD::Parser::Ruby::Legacy::RubyToken::TkStatementEnd
  show all

Defined in:
  lib/yard/parser/ruby/legacy/ruby_lex.rb

## Overview

Represents an end statement

## Instance Method Summary collapse

- #text ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::Legacy::RubyToken::Token

## Instance Method Details

### #text ⇒ `Object`

    60

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 60

    def text; '' end